Component Validation

APEX is invalid after upgrading to 12.2 – ORA-20001

We are running the AutoUpgrade-for-RAC beta test since last week. And the first issue one customer encountered … is neither an AutoUpgrade nor a RAC issue. It has to do with APEX and SPATIAL, and missing grants. APEX is invalid after upgrading to 12.2 – ORA-20001

APEX is invalid after upgrading to 12.2 - ORA-20001

Photo by Aditya Vyas on Unsplash

What is happening?

You are doing an upgrade to Oracle Database 12.2.0.1. And you receive a number of errors during the component validation phase.

19:04:14 SQL> EXECUTE dbms_registry_sys.validate_components;
...(19:04:15) Starting validate_apex for APEX_180100
ORA-20001: MISSING GRANT: grant execute on "MDSYS"."SDO_DIM_ARRAY" to APEX_180100
ORA-20001: MISSING GRANT: grant execute on 
Continue reading...